Katello - Bug #7005

Unable to delete host tied back to activation key
08/09/2014 09:18 AM - Brad Buckingham

Status: Closed
Priority: Normal
Assignee:
Category: Web Ul
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1122736 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/455
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1122736
Description of problem:
| tried to delete a host and received a trace. Afterwards | could not view the host details though | could see it in the host list

Version-Release number of selected component (if applicable):
ruby193-rubygem-katello-1.5.0-65.el6sat.noarch

How reproducible:
Uncertain, but based on the additional info, probably always

Steps to Reproduce:
1. Create an Activation Key
2. Create a Host and include the activation key

Actual results:
Can't delete the host without error

Expected results:
Host should delete as expected

Additional info:

| had to do the following:

delete from hosts where id = 7;

ERROR: update or delete on table "hosts" violates foreign key constraint "katello_systems_host_id" on table "katello_systems"
DETAIL: Key (id)=(7) is still referenced from table "katello_systems".

delete from katello_systems where id = 11;

ERROR: update or delete on table "katello_systems" violates foreign key constraint "system_activation_keys_system_id_fk" on table
"katello_system_activation_keys"

DETAIL: Key (id)=(11) is still referenced from table "katello_system_activation_keys".

foreman=# delete from katello_system_activation_keys where id = 11;

DELETE 1

foreman=# delete from katello_systems where id = 11;
DELETE 1

foreman=# delete from hosts where id = 7;

DELETE 1

foreman=#\q

Related issues:
Is duplicate of Katello - Bug #6898: deleteing a host does not delete a conte... Duplicate 08/04/2014

Associated revisions

Revision 73ef39f4 - 08/09/2014 09:26 AM - Brad Buckingham
https://bugzilla.redhat.com/show_bug.cgi?id=1122736

fixes #7005 / BZ 1122736 - content host - change registration behavior with foreman host

This commit alters the behavior of registering a content host
(with or without an activation key) that is to be associated
with a foreman host to do the following:

1. identify the foreman host that this content host will be
associated with by both name and mac address (previously
it was only by name)

2. if the foreman host identified is already associated with a
content host, delete it and then create/associate a new one.
(This will avoid there becoming duplicate content hosts with
the same name.)

Revision cda8940a - 08/12/2014 03:20 PM - Brad Buckingham
Merge pull request #4555 from bbuckingham/issue-7005

fixes #7005 / BZ 1122736 - content host - change registration behavior with foreman host

History

#1 - 08/09/2014 09:29 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4555 added
- Pull request deleted ()

#2 - 08/12/2014 04:01 PM - Brad Buckingham
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|73ef39f42f7df66b7abbd7b293d4928cefac6e9d.

#3 - 08/14/2014 08:54 AM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/15/2014 01:48 PM - Brad Buckingham

- Is duplicate of Bug #6898: deleteing a host does not delete a content host, generates a FK constrain error added

#5 - 08/22/2014 09:25 AM - Eric Helms

- translation missing: en.field_release set to 13
